Tool Generation 8 Project for Essentials v19.1 Page 3

Started by Golisopod User May 10th, 2021 9:38 AM
  • 10385 views
  • 70 replies
Seen 1 Week Ago
Posted August 28th, 2021
3 posts
198 Days
Thank you so much for making this and making it available for everyone!

After going through the install instructions and running my game in debug, everything seems to run fine, but I noticed that when I tried to edit encounters for a route, none of the Gen 8 Pokemon were available to add when editing wild encounters. Upon looking into it, it looks like none of the Gen 8 pokemon are available when I run my game, even though I can clearly see that the relevant files in the PBS folder have updated to include Gen 8 Pokemon, abilities, etc. Any idea what I did wrong?

Golisopod User

he/him
Alola Reigon
Online now
Posted 23 Hours Ago
647 posts
4.7 Years
Any idea what I did wrong?
Try compiling your game. This can be done by holding Ctrl while the game boots up in Debug mode, and keeping it held until you see the load screen. If that doesn't work then try going into Debug Menu > Other Options > Compile All Data and seeing if that works
Seen 1 Week Ago
Posted August 28th, 2021
3 posts
198 Days
Try compiling your game. This can be done by holding Ctrl while the game boots up in Debug mode, and keeping it held until you see the load screen. If that doesn't work then try going into Debug Menu > Other Options > Compile All Data and seeing if that works
Doing the full compile worked perfectly! Thanks for your help!

Shashu-Greninja

"With great power comes great responsibility"- When you have the power to change the world it's your responsibility to make the right decisions to change it in the positive way that will benefit everybody.

Male
Kalos Region
Seen 8 Hours Ago
Posted 4 Weeks Ago
97 posts
1 Years
I seem to face an error with dragon darts again, in a double battle when your opponents have only one pokkemon in one side, that is one of the trainers all pokemons have fainted and the other still has one pokemon left, it causes an error and I am soft locked in loop, dragapult continues to use dragon darts and I continue to get the error. I hope I am clear with what I meant to say.

Golisopod User

he/him
Alola Reigon
Online now
Posted 23 Hours Ago
647 posts
4.7 Years
I seem to face an error with dragon darts again, in a double battle when your opponents have only one pokkemon in one side, that is one of the trainers all pokemons have fainted and the other still has one pokemon left, it causes an error and I am soft locked in loop, dragapult continues to use dragon darts and I continue to get the error. I hope I am clear with what I meant to say.
What is "the error"? Does it crash? Does it not behave as intended? Is there an error message? Could you share the error message if there is one?

Shashu-Greninja

"With great power comes great responsibility"- When you have the power to change the world it's your responsibility to make the right decisions to change it in the positive way that will benefit everybody.

Male
Kalos Region
Seen 8 Hours Ago
Posted 4 Weeks Ago
97 posts
1 Years
What is "the error"? Does it crash? Does it not behave as intended? Is there an error message? Could you share the error message if there is one?
Sorry for the late reply but here is the error I recieve
Spoiler:

Golisopod User

he/him
Alola Reigon
Online now
Posted 23 Hours Ago
647 posts
4.7 Years
Sorry for the late reply but here is the error I recieve
Yeah this has already been reported and should be fixed in the next update.
Online now
Posted September 10th, 2021
52 posts
4 Years
found some stuff when i was updating my game and comparing moves pbs

branch poke - needs flag A
jawlock - needs flag A
no retreat - priority 3 -> 0
obstruct - accuracy 0 -> 100
overdrive - needs flag K
pyroball - needs flag GN
stuff cheeks - accuracy 100 -> 0, wrong flag E, needs flag D
tarshot - accuracy 0 -> 100
poltergeist - wrong flag A
scaleshot - wrong flag A

none of it really matters imo, but doesn't hurt to report

WarDrago

Male
Galar Region
Seen 3 Weeks Ago
Posted 4 Weeks Ago
4 posts
42 Days
I Facing some runtime error about pokemon Evolution I just start devloping week ago so don't know much can you help me to solve below runtime errors. it's about gen 8.
Spoiler:
[2021-09-17 17:15:55 +0530]
[Pokémon Essentials version 19.1]

Exception: RuntimeError
Message: Undefined value ItemCandy in GameData::Evolution
File PBS/pokemon.txt, section 808, key Evolutions
MELMETAL,ItemCandy,400



Backtrace:
366:Compiler:331:in `checkEnumField'
366:Compiler:307:in `csvEnumField!'
366:Compiler:506:in `block in pbGetCsvRecord'
366:Compiler:398:in `each'
366:Compiler:398:in `pbGetCsvRecord'
367:Compiler_CompilePBS:414:in `block (3 levels) in compile_pokemon'
367:Compiler_CompilePBS:398:in `each'
367:Compiler_CompilePBS:398:in `block (2 levels) in compile_pokemon'
366:Compiler:134:in `block in pbEachFileSection'
366:Compiler:106:in `block in pbEachFileSectionEx'

=================

[2021-09-17 17:20:16 +0530]
[Pokémon Essentials version 19.1]

Exception: RuntimeError
Message: Undefined value ItemAlcremie in GameData::Evolution
File PBS/pokemon.txt, section 868, key Evolutions
ALCREMIE,ItemAlcremie,



Backtrace:
366:Compiler:331:in `checkEnumField'
366:Compiler:307:in `csvEnumField!'
366:Compiler:506:in `block in pbGetCsvRecord'
366:Compiler:398:in `each'
366:Compiler:398:in `pbGetCsvRecord'
367:Compiler_CompilePBS:414:in `block (3 levels) in compile_pokemon'
367:Compiler_CompilePBS:398:in `each'
367:Compiler_CompilePBS:398:in `block (2 levels) in compile_pokemon'
366:Compiler:134:in `block in pbEachFileSection'
366:Compiler:106:in `block in pbEachFileSectionEx'


for now i just comment that both line in Pokemon.txt PBS that both line for evolution only.

Golisopod User

he/him
Alola Reigon
Online now
Posted 23 Hours Ago
647 posts
4.7 Years
I Facing some runtime error about pokemon Evolution I just start devloping week ago so don't know much can you help me to solve below runtime errors. it's about gen 8.
If you bothered to read the instructions, you would've noticed this mentioned there.
NOTE: Extract ALL the files from the zip. Do not pick and choose what you want. Don't extract just the PBS, or just the scripts, or only half of the PBS files (like just pokemon.txt), or only half the graphic files. You have to get the Game.exe that comes with the project as well, there are no execptions.
Your error occurs because a few new evolution methods were defined in the Generation 8 Project scripts, which are referenced in the PBS. But you didn't extract the scripts, inspite being told. That's why you're getting the error. Please do not skip anything under instructions.

Golisopod User

he/him
Alola Reigon
Online now
Posted 23 Hours Ago
647 posts
4.7 Years
Bro I did exact step are in mention in install extract all file in my project but still facing error......
Bro but you wouldn't have got the error if you extracted the scripts. Make sure you replace your Scripts.rxdata with the one from the Generation 8 Project.

WarDrago

Male
Galar Region
Seen 3 Weeks Ago
Posted 4 Weeks Ago
4 posts
42 Days
Bro but you wouldn't have got the error if you extracted the scripts. Make sure you replace your Scripts.rxdata with the one from the Generation 8 Project.
Bro thanks I got why trigger error my Compiler didn't complies your scripts due to by mistakes i rename it script.rxdata and due to less sleep i thinks it's scripts but after fresh sleep i caught that but thanks i appreciates work and help.

Golisopod User

he/him
Alola Reigon
Online now
Posted 23 Hours Ago
647 posts
4.7 Years
Hey
Golisopod User bro
Can you add watts system and watts traders?
Like main series
Sure bro. If you can make the Rotom Rally feature and Digging Pa and Ma from Isle or Armor then I'll definitely make a Watt feature for the next update.
Seen 3 Weeks Ago
Posted 3 Weeks Ago
49 posts
248 Days
Sure bro. If you can make the Rotom Rally feature and Digging Pa and Ma from Isle or Armor then I'll definitely make a Watt feature for the next update.
I tried to do the watts feature and I saw the battle points feature and did the watts feature like battle points
Sorry for my bad english
And also I'll try to make digging pa
Male
Seen 1 Week Ago
Posted 3 Weeks Ago
18 posts
5.8 Years
Tried updating my 1.1.0 version to 1.1.1, by following the instructions again with the new version. I figured this should overwrite all relevant files. But the debug window still says I'm using version 1.1.0. Not sure if I'm dumb or the version number isn't updated. Can someone else get 1.1.1 in the debug window? If so, I must've done something wrong.